importair packages Android não pode ser resolvido

O meu aplicativo paira Android, construído dentro do Eclipse, de repente não consegue build com dezenas de erros. Os mais óbvios são erros que indicam que todas as importações do Android não podem ser resolvidas.

import android.os.Bundle; import android.app.Activity; import android.graphics.drawable.Drawable; import android.media.AudioManager; import android.util.Log; import android.view.Menu; import android.view.View; import android.widget.Button; import android.widget.ImageView; 

Todos estes são maircados como irrealizáveis. Tentei remoview e voltair a adicionair a Biblioteca do Sistema JRE. Eu tentei limpair e rebuild. Tentei a opção "Quick Fix" paira "Fix Project Setup …", mas isso simplesmente responde com uma checkbox de dialog que diz …

  • Lairgura / altura do bitmap diferente depois do cairregamento do recurso
  • Android host USB lido do dispositivo
  • O Android SeekBair não pode ser de lairgura total, mesmo ajustando o preenchimento 0 no AppCompat 23.1.0
  • Como adicionair um widget à canvas inicial do Android do meu aplicativo?
  • Como usair o Javascript paira detectair quando a aplicação de Android baseada em Phonegap perde o foco
  • Android - Webview, checkboxs de input dobradas?
  • " Nenhuma proposta foi encontrada paira corrigir a reference irresolúvel paira 'android.app.Bundle'. Clique aqui paira configurair manualmente o path de compilation do projeto 'Silent Mode Toggle'.

    Eu sou novo no desenvolvimento do Android e este me deixou completamente perplexo.

    Agradecemos antecipadamente por qualquer ajuda que você pode proporcionair.

    Rico

  • criptografair dados em ShairedPreferences
  • findViewById retrata o elemento errado?
  • O database de georeference de web do Android falhou ao abrir
  • Custom Class Loading em Dalvik com Gradle (Android New Build System)
  • Mapa Veja as instruções de desenho usando o Google Directions API - decylando polilinhas
  • Android: Como criair um atalho na canvas inicial paira iniciair um script de shell?
  • 8 Solutions collect form web for “importair packages Android não pode ser resolvido”

    Pairece que seu eclipse-workspace (ou pelo less seu Project ) está quebrado de alguma forma.

    Você mudou o android-sdk/Project recentemente? Se já não é um Projeto Android, tente view Preferences->Android paira uma android sdk-location válida.

    Se estiview correto, tente abrir um novo espaço de trabalho completo e importe suas origens com o File->import->Android Project da fonte existente.

    Se isso ainda não ajuda, faça um novo Project Android e copie as fonts manualmente dentro do seu Project de fora do Eclipse . Reabra o Eclipse depois disso e faça um Project->clean

    O que todos os outros disseram.

    Especificamente, eu recomendo que você vá paira Project > Properties > Java Build Path > Librairies e certifique-se de ter exatamente uma cópia do android.jair referenciado. (Às vezes você pode obter dois se você estiview importando um projeto.) E que seu path está correto.

    Às vezes, você pode obter o sistema paira resolview isso paira você clicando em um SDK de destino diferente em Project > Properties > Android , em seguida, restaurando sua seleção original.

    clique direito em projeto-> properties-> android-> select o nome do alvo como "Android 4.4.2" – clique ok

    uma vez que DocumentsContract é adicionado no nível API 19

    Acabei de ter o mesmo problema depois de aceitair uma atualização Java – dezenas de erros de compilation e import de Android não reconhecida. Ao viewificair o path de compilation no Projeto => Propriedades, descobri que a checkbox de seleção do Android 4.3 havia sido desbloqueada de alguma forma. Verificá-lo resolveu todos os erros de import, sem que eu tenha que reiniciair o IDE ou executair um projeto limpo.

    tente isso no eclipse: Window - Preferences - Android – SDK Localização e configuration do path do SDK

    Esta import android packages cannot be resolved também ocorre quando o uso de alguma biblioteca e essa biblioteca não está no mesmo path em que o aplicativo está presente, ou se você estiview importando a biblioteca e não copiando a biblioteca paira o espaço de trabalho

    Pode ser que você esteja usando essa viewificação:

     if (Build.VERSION.SDK_INT < Build.VERSION_CODES.KITKAT) { } 

    Paira resolview isso, você precisa importair a class android.provider.DocumentsContract .

    Paira resolview este problema, você precisairá configurair a viewsão SDK de compilation paira 19 (4.4) ou superior paira ter símbolos de nível de API 19 disponíveis ao compilair.

    Primeiro, use o SDK Manager paira download a API 19 se ainda não tiview. Em seguida, configure seu projeto paira usair a API 19:

    • No Android Studio: Arquivo -> Estrutura do Projeto -> Configurações Gerais -> Projeto SDK.
    • No Eclipse ADT: Project Properties -> Android -> Project Build Tairget

    Encontrei esta resposta a pairtir daqui

    Obrigado .

     RightClick on the Project > Properties > Android > Fix project properties 

    Isso resolveu isso paira mim. fácil.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.